XkbGetAutoRepeatRate(3)

NAME
XkbGetAutoRepeatRate - Gets the current attributes of the RepeatKeys control for a keyboard device

SYNOPSIS
Bool XkbGetAutoRepeatRate ( display, device_spec, timeout_rtrn, interval_rtrn )
      Display * display ;
      unsigned int device_spec ;
      unsigned int * timeout_rtrn ;
      unsigned int * interval_rtrn ;

ARGUMENTS

- display
    connection to X server

- device_spec
    desired device ID, or XkbUseCoreKbd

- timeout_rtrn
    backfilled with initial repeat delay, ms

- interval_rtrn
    backfilled with subsequent repeat delay, ms

DESCRIPTION

The core protocol allows only control over whether or not the entire keyboard or individual keys should auto-repeat when held down. RepeatKeys is a boolean control that extends this capability by adding control over the delay until a key begins to repeat and the rate at which it repeats. RepeatKeys is coupled with the core auto-repeat control: when RepeatKeys is enabled or disabled, the core auto-repeat is enabled or disabled and vice versa.

Auto-repeating keys are controlled by two attributes. The first, timeout, is the delay after the initial press of an auto-repeating key and the first generated repeat event. The second, interval, is the delay between all subsequent generated repeat events. As with all boolean controls, configuring the attributes that determine how the control operates does not automatically enable the control as a whole.

XkbGetAutoRepeatRate queries the server for the current values of the RepeatControls control attributes, backfills timeout_rtrn and interval_rtrn with them, and returns True. If a compatible version of the Xkb extension is not available in the server XkbGetAutoRepeatRate returns False.

RETURN VALUES

True
    The XkbGetAutoRepeatRate function returns True if a compatible version of the Xkb extension is available in the server.

False
    The XkbGetAutoRepeatRate function returns False if a compatible version of the Xkb extension is not available in the server.